## AgsRegex

AgsRegex — coding-neutral regex

## Stability Level

Stable, unless otherwise indicated

## Functions

int | ags_regcomp ()
int | ags_regexec ()

## Includes

    #include <ags/lib/ags_regex.h>

## Description

Deprecated, warning uses `setlocale()` what is highly discouraged. Wrapper around glibc regex functions to provide language coding-neutral processing. Check AgsRegexUtil which does conversion with iconv.

## Functions

### ags_regcomp ()

    int
    ags_regcomp (regex_t *preg,
                 const char *regex,
                 int cflags);

`ags_regcomp` is deprecated and should not be used in newly-written code.

Compile regular expression language independent. It sets temporaly the locale to C and then reverts it.

#### Parameters

preg | pattern buffer storage area |
regex | regular expression as string |
cflags | flags |

Since: 3.0.0

### ags_regexec ()

    int
    ags_regexec (const regex_t *preg,
                 const char *string,
                 size_t nmatch,
                 regmatch_t pmatch[],
                 int eflags);

`ags_regexec` is deprecated and should not be used in newly-written code.

Execute regular expression language independent. It sets temporaly the locale to C and then reverts it.

#### Parameters

preg | pattern buffer storage area |
string | the string to match |
nmatch | match count |
pmatch | match array |
eflags | error flags |

Since: 3.0.0